Page MenuHomePhabricator

New wikitext editor loses interwiki prefix when copypasting URL
Closed, ResolvedPublic1 Story Points

Description

When trying to paste the text http://meatballwiki.org/wiki/DefendEachOther, I end up with [[DefendEachOther]]. The correct text would be [[meatball:DefendEachOther]].

Event Timeline

Tgr created this task.Dec 19 2016, 8:15 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 19 2016, 8:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 328230 had a related patch set uploaded (by Esanders):
Ensure document base is always correct, even in source mode

https://gerrit.wikimedia.org/r/328230

After this fix this will go back to being a full external URL, as the interwiki logic is currently only in Parsoid, and at the time of pasting the URL has no label.

Change 328230 merged by jenkins-bot:
Ensure document base is always correct, even in source mode

https://gerrit.wikimedia.org/r/328230

Esanders triaged this task as High priority.Dec 30 2016, 1:29 PM
Jdforrester-WMF closed this task as Resolved.Jan 3 2017, 4:07 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.